| Version: 3.2.5

Classes | Enumerations
convauto.h File Reference

## Classes

class | wxConvAuto
| This class implements a Unicode to/from multibyte converter capable of automatically recognizing the encoding of the multibyte text on input. More...

## Enumerations

enum | wxBOM { wxBOM_Unknown = -1 , wxBOM_None , wxBOM_UTF32BE , wxBOM_UTF32LE , wxBOM_UTF16BE , wxBOM_UTF16LE , wxBOM_UTF8 }
| Constants representing various BOM types. More...

## Enumeration Type Documentation

## ◆ wxBOM

enum wxBOM

Constants representing various BOM types.

BOM is an abbreviation for "Byte Order Mark", a special Unicode character which may be inserted into the beginning of a text stream to indicate its encoding.

Since
  2.9.3

Enumerator
wxBOM_Unknown | Unknown BOM. This is returned if BOM presence couldn't be determined and normally happens because not enough bytes of input have been analysed.
wxBOM_None | No BOM. The stream doesn't contain BOM character at all.
wxBOM_UTF32BE | UTF-32 big endian BOM. The stream is encoded in big endian variant of UTF-32.
wxBOM_UTF32LE | UTF-32 little endian BOM. The stream is encoded in little endian variant of UTF-32.
wxBOM_UTF16BE | UTF-16 big endian BOM. The stream is encoded in big endian variant of UTF-16.
wxBOM_UTF16LE | UTF-16 little endian BOM. The stream is encoded in little endian variant of UTF-16.
wxBOM_UTF8 | UTF-8 BOM. The stream is encoded in UTF-8. Notice that contrary to a popular belief, it's perfectly possible and, n fact, common under Microsoft Windows systems, to have a BOM in an UTF-8 stream: while it's not used to indicate the endianness of UTF-8 stream (as it's byte-oriented), the BOM can still be useful just as an unambiguous indicator of UTF-8 being used.